CVE-2024-20754

CVSS 3.1 Score 7.5 of 10 (high)

Details

Published Mar 18, 2024
CWE ID 426

Summary

CVE-2024-20754 is a vulnerability that affects Adobe Lightroom Desktop versions 7.1.2 and earlier. It is classified as an Untrusted Search Path vulnerability, which can lead to arbitrary code execution by an attacker in the context of the current user. This occurs when the application uses a search path to locate critical resources, allowing an attacker to modify the search path and direct it to a malicious program. Exploitation of this vulnerability requires user interaction, as the victim needs to open a malicious file. The risk score for this vulnerability is 30, with a base severity rating of HIGH and a base score of 7.5 according to CVSS version 3.1. It poses a significant danger to organizations, as it has high integrity and confidentiality impacts, and could potentially result in the execution of malicious code on affected systems. Remediation measures should include updating Lightroom Desktop to a version that is not affected by this vulnerability.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-20754 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options